import { getAidDetail } from "../../../service/system";
import { alertInfo, loadingFunc } from "../../../utils/index";
import request from "../../../utils/request"
const { OK } = request;
// pages/aid/detail/index.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    detail: {},
    id: "",
    type: undefined,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const that = this;
    const { type, id } = options;
    this.setData({ type, id }, () => {
      loadingFunc(async () => {
        that.init();
      })
    })
    
  },
  async init() {
    const { id, type } = this.data;
    const { code, message, data = {} } = await getAidDetail(id);
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    this.setData({
      detail: data 
    })
  },
  connect() {
    const { type, id } = this.data;
    wx.navigateTo({
      url: `/pages/aid/consult/index?type=${type}&id=${id}`,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})